You are not logged in.

#1 2005-02-22 20:55:27

EmbraceThePenguin
Member
From: New Mexico, USA
Registered: 2004-08-09
Posts: 197

xmms geting error on starting

I just installed a fresh copy of Arch today comming from Gentoo, and all is well except I am getting this error when trying to run xmms:

*** glibc detected *** double free or corruption (out): 0xb6f545a4 ***
Aborted

I have tryed reinstalling it, but no go.

Any way to fix this?

Thanks!!!

Joe

Offline

#2 2005-02-22 22:22:31

Snowman
Developer/Forum Fellow
From: Montreal, Canada
Registered: 2004-08-20
Posts: 5,212

Re: xmms geting error on starting

from a gentoo forum  wink  , it seems a problem with flac 1.1.2. 
Try downgrading flac:
Download http://ftp.nluug.nl/ftp/pub/os/Linux/di … pkg.tar.gz
then:
pacman -U flac-1.1.1-2.pkg.tar.gz

Offline

#3 2005-02-22 22:42:40

EmbraceThePenguin
Member
From: New Mexico, USA
Registered: 2004-08-09
Posts: 197

Re: xmms geting error on starting

Ok, cool. I will try that. So, basically, I would download that file and put it in, say, my home dir, then run the pacman command?

Thanks!!!

Joe

Offline

#4 2005-02-22 22:54:09

phrakture
Arch Overlord
From: behind you
Registered: 2003-10-29
Posts: 7,879
Website

Re: xmms geting error on starting

EmbraceThePenguin wrote:

Ok, cool. I will try that. So, basically, I would download that file and put it in, say, my home dir, then run the pacman command?

Thanks!!!

Joe

yes, usually old packages do not sit around on the mirrors... so if you need to downgrade to a really old version, you'd have to use abs to build the package yourself (usually just stepping down a version number)...

Offline

#5 2005-02-22 23:03:50

EmbraceThePenguin
Member
From: New Mexico, USA
Registered: 2004-08-09
Posts: 197

Re: xmms geting error on starting

Thanks man. That worked like a charm smile

Joe

Offline

#6 2005-02-23 09:58:35

Spider.007
Member
Registered: 2004-06-20
Posts: 1,133
Website

Re: xmms geting error on starting

Isn't this a bug in the xmms or flac package?

Offline

#7 2005-02-23 10:26:53

JGC
Developer
Registered: 2003-12-03
Posts: 1,659

Re: xmms geting error on starting

It's flac, it installs some plugins for xmms. The problem with this shitty library is that it seems to been built against the flac that was on the maintainer's system and not the one that was in the build-tree. The flac binary to encode files is also linked against a lib that's not even in the package.

Offline

#8 2005-02-23 20:08:55

Spider.007
Member
Registered: 2004-06-20
Posts: 1,133
Website

Re: xmms geting error on starting

JGC wrote:

It's flac, it installs some plugins for xmms. The problem with this shitty library is that it seems to been built against the flac that was on the maintainer's system and not the one that was in the build-tree. The flac binary to encode files is also linked against a lib that's not even in the package.

Hmm; that is indeed kindof shitty big_smile Can't another maintainer rebuild the package? smile

Offline

Board footer

Powered by FluxBB